Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.filter
Class ConcreteGraphicsNodeRableFactory

    java.lang.Object
      org.apache.batik.gvt.filter.ConcreteGraphicsNodeRableFactory

All Implemented Interfaces:
  GraphicsNodeRableFactory

public class ConcreteGraphicsNodeRableFactory
extends java.lang.Object
implements GraphicsNodeRableFactory

This interface lets `GraphicsNode` create instances of `GraphicsNodeRable` appropriate for the filter module implementation.

Constructor Summary
`ConcreteGraphicsNodeRableFactory()`

Method Summary
`GraphicsNodeRable` | `createGraphicsNodeRable(GraphicsNode node)` Returns a `GraphicsNodeRable` initialized with the input `GraphicsNode`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcreteGraphicsNodeRableFactory

    public ConcreteGraphicsNodeRableFactory()

Method Detail

### createGraphicsNodeRable

    public GraphicsNodeRable createGraphicsNodeRable(GraphicsNode node)

  Returns a `GraphicsNodeRable` initialized with the input `GraphicsNode`.

  Specified by:
    `createGraphicsNodeRable` in interface `GraphicsNodeRableFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.